<?php

namespace Drupal\genoring\Exception;

/**
 * Exception thrown for metadata errors.
 */
class MetadataException extends \RuntimeException {

  /**
   * Constructs a MetadataException with a message.
   *
   * @param string $message
   *   The exception message.
   * @param int $code
   *   The exception code.
   * @param \Exception|null $previous
   *   The previous exception.
   */
  public function __construct(
    $message = 'Invalid metadata structure.',
    $code = 0,
    ?\Exception $previous = NULL,
  ) {
    parent::__construct($message, $code, $previous);
  }

}
