<?php

namespace Drupal\genoring\Element;

use Drupal\Core\Render\Element\Textfield;

/**
 * Provides a 'genoring_taxonomy' form element.
 *
 * @FormElement("genoring_taxonomy")
 */
class Taxonomy extends Textfield {

  /**
   * {@inheritdoc}
   */
  public function getInfo() {
    $info = parent::getInfo();
    $info['#autocomplete_route_name'] = 'genoring.taxonomy_autocomplete';
    $info['#attributes']['class'][] = 'genoring-taxonomy-autocomplete';
    return $info;
  }

}
